Index: plugins/dcLegacyEditor/tpl/index.php
===================================================================
--- plugins/dcLegacyEditor/tpl/index.php	(revision 3875)
+++ plugins/dcLegacyEditor/tpl/index.php	(revision 3875)
@@ -0,0 +1,31 @@
+<html>
+  <head>
+    <title>dcLegacyEditor</title>
+  </head>
+  <body>
+    <?php echo dcPage::breadcrumb([__('Plugins') => '', __('dcLegacyEditor') => '']) . dcPage::notices(); ?>
+
+    <?php if ($is_admin): ?>
+      <h3 class="hidden-if-js"><?php echo __('Settings'); ?></h3>
+      <form action="<?php echo $p_url; ?>" method="post" enctype="multipart/form-data">
+        <div class="fieldset">
+          <h3><?php echo __('Plugin activation'); ?></h3>
+          <p>
+            <label class="classic" for="dclegacyeditor_active">
+              <?php echo form::checkbox('dclegacyeditor_active', 1, $dclegacyeditor_active); ?>
+              <?php echo __('Enable dcLegacyEditor plugin'); ?>
+            </label>
+          </p>
+        </div>
+
+        <p>
+        <input type="hidden" name="p" value="dcLegacyEditor"/>
+        <?php echo $core->formNonce(); ?>
+        <input type="submit" name="saveconfig" value="<?php echo __('Save configuration'); ?>" />
+        </p>
+      </form>
+    <?php endif;?>
+
+    <?php dcPage::helpBlock('dcLegacyEditor');?>
+  </body>
+</html>
Index: plugins/dclegacy/_admin.php
===================================================================
--- plugins/dclegacy/_admin.php	(revision 3731)
+++ plugins/dclegacy/_admin.php	(revision 3874)
@@ -12,7 +12,7 @@
 if (!defined('DC_CONTEXT_ADMIN')) {return;}
 
-$GLOBALS['core']->addBehavior('adminPostsActionsPage', array('dcLegacyPosts', 'adminPostsActionsPage'));
-$GLOBALS['core']->addBehavior('adminPagesActionsPage', array('dcLegacyPages', 'adminPagesActionsPage'));
-$GLOBALS['core']->addBehavior('adminCommentsActionsPage', array('dcLegacyComments', 'adminCommentsActionsPage'));
+$GLOBALS['core']->addBehavior('adminPostsActionsPage', ['dcLegacyPosts', 'adminPostsActionsPage']);
+$GLOBALS['core']->addBehavior('adminPagesActionsPage', ['dcLegacyPages', 'adminPagesActionsPage']);
+$GLOBALS['core']->addBehavior('adminCommentsActionsPage', ['dcLegacyComments', 'adminCommentsActionsPage']);
 
 /* Handle deprecated behaviors :
@@ -26,7 +26,7 @@
     {
         $stub_actions = new ArrayObject();
-        $core->callBehavior('adminPostsActionsCombo', array($stub_actions));
+        $core->callBehavior('adminPostsActionsCombo', [$stub_actions]);
         if (!empty($stub_actions)) {
-            $as->addAction($stub_actions, array('dcLegacyPosts', 'onActionLegacy'));
+            $as->addAction($stub_actions, ['dcLegacyPosts', 'onActionLegacy']);
         }
     }
@@ -55,7 +55,7 @@
     {
         $stub_actions = new ArrayObject();
-        $core->callBehavior('adminCommentsActionsCombo', array($stub_actions));
+        $core->callBehavior('adminCommentsActionsCombo', [$stub_actions]);
         if (!empty($stub_actions)) {
-            $as->addAction($stub_actions, array('dcLegacyComments', 'onActionLegacy'));
+            $as->addAction($stub_actions, ['dcLegacyComments', 'onActionLegacy']);
         }
     }
@@ -88,7 +88,7 @@
     {
         $stub_actions = new ArrayObject();
-        $core->callBehavior('adminPagesActionsCombo', array($stub_actions));
+        $core->callBehavior('adminPagesActionsCombo', [$stub_actions]);
         if (!empty($stub_actions)) {
-            $as->addAction($stub_actions, array('dcLegacyPages', 'onActionLegacy'));
+            $as->addAction($stub_actions, ['dcLegacyPages', 'onActionLegacy']);
         }
     }
Index: plugins/dclegacy/_define.php
===================================================================
--- plugins/dclegacy/_define.php	(revision 3731)
+++ plugins/dclegacy/_define.php	(revision 3874)
@@ -17,7 +17,7 @@
     "dc Team",                     // Author
     '1.0',                         // Version
-    array(
+    [
         'priority' => 500,
         'type'     => 'plugin'
-    )
+    ]
 );
Index: plugins/fairTrackbacks/_define.php
===================================================================
--- plugins/fairTrackbacks/_define.php	(revision 3731)
+++ plugins/fairTrackbacks/_define.php	(revision 3874)
@@ -17,8 +17,8 @@
     "Olivier Meunier",          // Author
     '1.1',                      // Version
-    array(
+    [
         'permissions' => 'usage,contentadmin',
         'priority'    => 200,
         'type'        => 'plugin'
-    )
+    ]
 );
Index: plugins/fairTrackbacks/class.dc.filter.fairtrackbacks.php
===================================================================
--- plugins/fairTrackbacks/class.dc.filter.fairtrackbacks.php	(revision 3731)
+++ plugins/fairTrackbacks/class.dc.filter.fairtrackbacks.php	(revision 3874)
@@ -37,5 +37,5 @@
         try
         {
-            $default_parse = array('scheme' => '', 'host' => '', 'path' => '', 'query' => '');
+            $default_parse = ['scheme' => '', 'host' => '', 'path' => '', 'query' => ''];
             $S             = array_merge($default_parse, parse_url($site));
 
@@ -45,5 +45,5 @@
 
             # Check incomink link page
-            $post     = $this->core->blog->getPosts(array('post_id' => $post_id));
+            $post     = $this->core->blog->getPosts(['post_id' => $post_id]);
             $post_url = $post->getURL();
             $P        = array_merge($default_parse, parse_url($post_url));
Index: plugins/importExport/_admin.php
===================================================================
--- plugins/importExport/_admin.php	(revision 3731)
+++ plugins/importExport/_admin.php	(revision 3874)
@@ -24,5 +24,5 @@
 function importExportDashboardFavorites($core, $favs)
 {
-    $favs->register('importExport', array(
+    $favs->register('importExport', [
         'title'       => __('Import/Export'),
         'url'         => $core->adminurl->get('admin.plugin.importExport'),
@@ -30,5 +30,5 @@
         'large-icon'  => dcPage::getPF('importExport/icon-big.png'),
         'permissions' => 'admin'
-    ));
+    ]);
 }
 
Index: plugins/importExport/_define.php
===================================================================
--- plugins/importExport/_define.php	(revision 3731)
+++ plugins/importExport/_define.php	(revision 3874)
@@ -17,7 +17,7 @@
     "Olivier Meunier & Contributors", // Author
     '3.2',                            // Version
-    array(
+    [
         'permissions' => 'admin',
         'type'        => 'plugin'
-    )
+    ]
 );
Index: plugins/importExport/_prepend.php
===================================================================
--- plugins/importExport/_prepend.php	(revision 3731)
+++ plugins/importExport/_prepend.php	(revision 3874)
@@ -30,12 +30,12 @@
 function registerIeModules($modules, $core)
 {
-    $modules['import'] = array_merge($modules['import'], array('dcImportFlat'));
-    $modules['import'] = array_merge($modules['import'], array('dcImportFeed'));
+    $modules['import'] = array_merge($modules['import'], ['dcImportFlat']);
+    $modules['import'] = array_merge($modules['import'], ['dcImportFeed']);
 
-    $modules['export'] = array_merge($modules['export'], array('dcExportFlat'));
+    $modules['export'] = array_merge($modules['export'], ['dcExportFlat']);
 
     if ($core->auth->isSuperAdmin()) {
-        $modules['import'] = array_merge($modules['import'], array('dcImportDC1'));
-        $modules['import'] = array_merge($modules['import'], array('dcImportWP'));
+        $modules['import'] = array_merge($modules['import'], ['dcImportDC1']);
+        $modules['import'] = array_merge($modules['import'], ['dcImportWP']);
     }
 }
Index: plugins/importExport/inc/class.dc.export.flat.php
===================================================================
--- plugins/importExport/inc/class.dc.export.flat.php	(revision 3731)
+++ plugins/importExport/inc/class.dc.export.flat.php	(revision 3874)
@@ -191,13 +191,13 @@
 
         '<p><label for="file_zip" class="classic">' .
-        form::checkbox(array('file_zip', 'file_zip'), 1) . ' ' .
+        form::checkbox(['file_zip', 'file_zip'], 1) . ' ' .
         __('Compress file') . '</label>' .
         '</p>' .
 
-        '<p class="zip-dl"><a href="' . $this->core->decode('admin.media', array('d' => '', 'zipdl' => '1')) . '">' .
+        '<p class="zip-dl"><a href="' . $this->core->decode('admin.media', ['d' => '', 'zipdl' => '1']) . '">' .
         __('You may also want to download your media directory as a zip file') . '</a></p>' .
 
         '<p><input type="submit" value="' . __('Export') . '" />' .
-        form::hidden(array('do'), 'export_blog') .
+        form::hidden(['do'], 'export_blog') .
         $this->core->formNonce() . '</p>' .
 
@@ -211,14 +211,14 @@
 
             '<p><label for="file_name2">' . __('File name:') . '</label>' .
-            form::field(array('file_name', 'file_name2'), 50, 255, date('Y-m-d-H-i-') . 'dotclear-backup.txt') .
+            form::field(['file_name', 'file_name2'], 50, 255, date('Y-m-d-H-i-') . 'dotclear-backup.txt') .
             '</p>' .
 
             '<p><label for="file_zip2" class="classic">' .
-            form::checkbox(array('file_zip', 'file_zip2'), 1) . ' ' .
+            form::checkbox(['file_zip', 'file_zip2'], 1) . ' ' .
             __('Compress file') . '</label>' .
             '</p>' .
 
             '<p><input type="submit" value="' . __('Export') . '" />' .
-            form::hidden(array('do'), 'export_all') .
+            form::hidden(['do'], 'export_all') .
             $this->core->formNonce() . '</p>' .
 
Index: plugins/importExport/inc/class.dc.ieModule.php
===================================================================
--- plugins/importExport/inc/class.dc.ieModule.php	(revision 3731)
+++ plugins/importExport/inc/class.dc.ieModule.php	(revision 3874)
@@ -28,5 +28,5 @@
         $this->setInfo();
 
-        if (!in_array($this->type, array('import', 'export'))) {
+        if (!in_array($this->type, ['import', 'export'])) {
             throw new Exception(sprintf('Unknow type for module %s', get_class($this)));
         }
@@ -66,5 +66,5 @@
     protected function autoSubmit()
     {
-        return form::hidden(array('autosubmit'), 1);
+        return form::hidden(['autosubmit'], 1);
     }
 
Index: plugins/importExport/inc/class.dc.import.dc1.php
===================================================================
--- plugins/importExport/inc/class.dc.import.dc1.php	(revision 3731)
+++ plugins/importExport/inc/class.dc.import.dc1.php	(revision 3874)
@@ -25,8 +25,8 @@
     protected $post_count  = 0;
 
-    protected $has_table = array();
+    protected $has_table = [];
 
     protected $vars;
-    protected $base_vars = array(
+    protected $base_vars = [
         'db_driver'  => 'mysql',
         'db_host'    => '',
@@ -36,6 +36,6 @@
         'db_prefix'  => 'dc_',
         'post_limit' => 20,
-        'cat_ids'    => array()
-    );
+        'cat_ids'    => []
+    ];
 
     protected function setInfo()
@@ -141,8 +141,8 @@
 
         # db drivers
-        $db_drivers = array(
+        $db_drivers = [
             'mysql'  => 'mysql',
             'mysqli' => 'mysqli'
-        );
+        ];
 
         switch ($this->step) {
@@ -190,7 +190,7 @@
             case 5:
                 $t = sprintf(__('Importing entries from %d to %d / %d'), $this->post_offset,
-                    min(array($this->post_offset + $this->post_limit, $this->post_count)), $this->post_count);
+                    min([$this->post_offset + $this->post_limit, $this->post_count]), $this->post_count);
                 printf($this->imForm(5, $t),
-                    form::hidden(array('offset'), $this->post_offset) .
+                    form::hidden(['offset'], $this->post_offset) .
                     $this->autoSubmit()
                 );
@@ -226,5 +226,5 @@
         '<h3 class="vertical-separator">' . $legend . '</h3>' .
         '<div>' . $this->core->formNonce() .
-        form::hidden(array('do'), 'step' . $step) .
+        form::hidden(['do'], 'step' . $step) .
         '%s' . '</div>' .
         '<p class="vertical-separator"><input type="submit" value="' . $submit_value . '" /></p>' .
@@ -300,10 +300,10 @@
                     $cur->user_tz          = $this->core->blog->settings->system->blog_timezone;
                     $cur->user_post_status = $rs->user_post_pub ? 1 : -2;
-                    $cur->user_options     = new ArrayObject(array(
+                    $cur->user_options     = new ArrayObject([
                         'edit_size'   => (integer) $rs->user_edit_size,
                         'post_format' => $rs->user_post_format
-                    ));
-
-                    $permissions = array();
+                    ]);
+
+                    $permissions = [];
                     switch ($rs->user_level) {
                         case '0':
@@ -573,5 +573,5 @@
     protected function importPings($post_id, $new_post_id, $db)
     {
-        $urls = array();
+        $urls = [];
 
         $rs = $db->select(
Index: plugins/importExport/inc/class.dc.import.feed.php
===================================================================
--- plugins/importExport/inc/class.dc.import.feed.php	(revision 3731)
+++ plugins/importExport/inc/class.dc.import.feed.php	(revision 3874)
@@ -46,6 +46,6 @@
             $dns = $dns6;
         }
-        $ip6 = array();
-        $ip4 = array();
+        $ip6 = [];
+        $ip4 = [];
         foreach ($dns as $record) {
             if ($record["type"] == "A") {
@@ -178,5 +178,5 @@
         '<p>' .
         $this->core->formNonce() .
-        form::hidden(array('do'), 1) .
+        form::hidden(['do'], 1) .
         '<input type="submit" value="' . __('Import') . '" /></p>' .
 
Index: plugins/importExport/inc/class.dc.import.flat.php
===================================================================
--- plugins/importExport/inc/class.dc.import.flat.php	(revision 3731)
+++ plugins/importExport/inc/class.dc.import.flat.php	(revision 3874)
@@ -147,5 +147,5 @@
         }
 
-        $public_files = array_merge(array('-' => ''), $this->getPublicFiles());
+        $public_files = array_merge(['-' => ''], $this->getPublicFiles());
         $has_files    = (boolean) (count($public_files) - 1);
 
@@ -193,6 +193,6 @@
         '<p>' .
         $this->core->formNonce() .
-        form::hidden(array('do'), 1) .
-        form::hidden(array('MAX_FILE_SIZE'), DC_MAX_UPLOAD_SIZE) .
+        form::hidden(['do'], 1) .
+        form::hidden(['MAX_FILE_SIZE'], DC_MAX_UPLOAD_SIZE) .
         '<input type="submit" value="' . __('Import') . '" /></p>' .
 
@@ -220,14 +220,14 @@
             '<p><label for="your_pwd" class="required"><abbr title="' . __('Required field') . '">*</abbr> ' . __('Your password:') . '</label>' .
             form::password('your_pwd', 20, 255,
-                array(
+                [
                     'extra_html'   => 'required placeholder="' . __('Password') . '"',
                     'autocomplete' => 'current-password'
-                )
+                ]
             ) . '</p>' .
 
             '<p>' .
             $this->core->formNonce() .
-            form::hidden(array('do'), 1) .
-            form::hidden(array('MAX_FILE_SIZE'), DC_MAX_UPLOAD_SIZE) .
+            form::hidden(['do'], 1) .
+            form::hidden(['MAX_FILE_SIZE'], DC_MAX_UPLOAD_SIZE) .
             '<input type="submit" value="' . __('Import') . '" /></p>' .
 
@@ -238,5 +238,5 @@
     protected function getPublicFiles()
     {
-        $public_files = array();
+        $public_files = [];
         $dir          = @dir($this->core->blog->public_path);
         if ($dir) {
Index: plugins/importExport/inc/class.dc.import.wp.php
===================================================================
--- plugins/importExport/inc/class.dc.import.wp.php	(revision 3731)
+++ plugins/importExport/inc/class.dc.import.wp.php	(revision 3874)
@@ -25,8 +25,8 @@
     protected $post_count  = 0;
 
-    protected $has_table = array();
+    protected $has_table = [];
 
     protected $vars;
-    protected $base_vars = array(
+    protected $base_vars = [
         'db_host'            => '',
         'db_name'            => '',
@@ -41,8 +41,8 @@
         'post_formater'      => 'xhtml',
         'comment_formater'   => 'xhtml',
-        'user_ids'           => array(),
-        'cat_ids'            => array(),
+        'user_ids'           => [],
+        'cat_ids'            => [],
         'permalink_template' => 'p=%post_id%',
-        'permalink_tags'     => array(
+        'permalink_tags'     => [
             '%year%',
             '%monthnum%',
@@ -55,6 +55,6 @@
             '%category%',
             '%author%'
-        )
-    );
+        ]
+    ];
     protected $formaters;
 
@@ -244,7 +244,7 @@
             case 5:
                 $t = sprintf(__('Importing entries from %d to %d / %d'), $this->post_offset,
-                    min(array($this->post_offset + $this->post_limit, $this->post_count)), $this->post_count);
+                    min([$this->post_offset + $this->post_limit, $this->post_count]), $this->post_count);
                 printf($this->imForm(5, $t),
-                    form::hidden(array('offset'), $this->post_offset) .
+                    form::hidden(['offset'], $this->post_offset) .
                     $this->autoSubmit()
                 );
@@ -271,5 +271,5 @@
         '<h3 class="vertical-separator">' . $legend . '</h3>' .
         '<div>' . $this->core->formNonce() .
-        form::hidden(array('do'), 'step' . $step) .
+        form::hidden(['do'], 'step' . $step) .
         '%s' . '</div>' .
         '<p><input type="submit" value="' . $submit_value . '" /></p>' .
@@ -347,5 +347,5 @@
                     $cur->user_lang        = $this->core->blog->settings->system->lang;
                     $cur->user_tz          = $this->core->blog->settings->system->blog_timezone;
-                    $permissions           = array();
+                    $permissions           = [];
 
                     $rs_meta = $db->select('SELECT * FROM ' . $prefix . 'usermeta WHERE user_id = ' . $rs->ID);
@@ -362,7 +362,7 @@
                                 break;
                             case 'rich_editing':
-                                $cur->user_options = new ArrayObject(array(
+                                $cur->user_options = new ArrayObject([
                                     'enable_wysiwyg' => $rs_meta->meta_value == 'true' ? true : false
-                                ));
+                                ]);
                                 break;
                             case 'wp_user_level':
@@ -587,5 +587,5 @@
         }
 
-        $permalink_infos = array(
+        $permalink_infos = [
             date('Y', strtotime($cur->post_dt)),
             date('m', strtotime($cur->post_dt)),
@@ -598,5 +598,5 @@
             $cur->cat_id,
             $cur->user_id
-        );
+        ];
         $cur->post_url = str_replace(
             $this->vars['permalink_tags'],
@@ -727,6 +727,6 @@
     protected function importPings($post_id, $new_post_id, $db)
     {
-        $urls  = array();
-        $pings = array();
+        $urls  = [];
+        $pings = [];
 
         $rs = $db->select(
Index: plugins/importExport/inc/flat/class.flat.backup.php
===================================================================
--- plugins/importExport/inc/flat/class.flat.backup.php	(revision 3731)
+++ plugins/importExport/inc/flat/class.flat.backup.php	(revision 3874)
@@ -15,14 +15,14 @@
 {
     protected $fp;
-    private $line_cols = array();
+    private $line_cols = [];
     private $line_name;
     private $line_num;
 
-    private $replacement = array(
+    private $replacement = [
         '/(?<!\\\\)(?>(\\\\\\\\)*+)(\\\\n)/u' => "\$1\n",
         '/(?<!\\\\)(?>(\\\\\\\\)*+)(\\\\r)/u' => "\$1\r",
         '/(?<!\\\\)(?>(\\\\\\\\)*+)(\\\\")/u' => '$1"',
         '/(\\\\\\\\)/'                        => '\\'
-    );
+    ];
 
     public function __construct($file)
@@ -64,5 +64,5 @@
             }
 
-            $res = array();
+            $res = [];
 
             for ($i = 0; $i < count($line); $i++) {
@@ -95,5 +95,5 @@
     public $__name;
     public $__line;
-    private $__data = array();
+    private $__data = [];
 
     public function __construct($name, $data, $line)
@@ -124,7 +124,7 @@
     }
 
-    public function drop()
+    public function drop(...$args)
     {
-        foreach (func_get_args() as $n) {
+        foreach ($args as $n) {
             if (isset($this->__data[$n])) {
                 unset($this->__data[$n]);
Index: plugins/importExport/inc/flat/class.flat.export.php
===================================================================
--- plugins/importExport/inc/flat/class.flat.export.php	(revision 3731)
+++ plugins/importExport/inc/flat/class.flat.export.php	(revision 3874)
@@ -17,6 +17,6 @@
     private $prefix;
 
-    private $line_reg = array('/\\\\/u', '/\n/u', '/\r/u', '/"/u');
-    private $line_rep = array('\\\\\\\\', '\n', '\r', '\"');
+    private $line_reg = ['/\\\\/u', '/\n/u', '/\r/u', '/"/u'];
+    private $line_rep = ['\\\\\\\\', '\n', '\r', '\"'];
 
     public $fp;
@@ -74,5 +74,5 @@
         $db_tables = $schema->getTables();
 
-        $tables = array();
+        $tables = [];
         foreach ($db_tables as $t) {
             if ($this->prefix) {
@@ -90,5 +90,5 @@
     public function getLine($rs)
     {
-        $l    = array();
+        $l    = [];
         $cols = $rs->columns();
         foreach ($cols as $i => &$c) {
Index: plugins/importExport/inc/flat/class.flat.import.php
===================================================================
--- plugins/importExport/inc/flat/class.flat.import.php	(revision 3756)
+++ plugins/importExport/inc/flat/class.flat.import.php	(revision 3874)
@@ -26,16 +26,16 @@
     private $blog_desc;
 
-    private $users = array();
-
-    public $old_ids = array(
-        'category' => array(),
-        'post'     => array(),
-        'media'    => array()
-    );
-
-    public $stack = array(
+    private $users = [];
+
+    public $old_ids = [
+        'category' => [],
+        'post'     => [],
+        'media'    => []
+    ];
+
+    public $stack = [
         'categories' => null,
         'cat_id'     => 1,
-        'cat_lft'    => array(),
+        'cat_lft'    => [],
         'post_id'    => 1,
         'media_id'   => 1,
@@ -43,5 +43,5 @@
         'link_id'    => 1,
         'log_id'     => 1
-    );
+    ];
 
     public $has_categories = false;
@@ -157,5 +157,5 @@
         {
             $last_line_name = '';
-            $constrained    = array('post', 'meta', 'post_media', 'ping', 'comment');
+            $constrained    = ['post', 'meta', 'post_media', 'ping', 'comment'];
 
             while (($line = $this->getLine()) !== false) {
@@ -814,8 +814,8 @@
     private function prepareDC12line(&$line)
     {
-        $settings = array('dc_theme', 'dc_nb_post_per_page', 'dc_allow_comments',
+        $settings = ['dc_theme', 'dc_nb_post_per_page', 'dc_allow_comments',
             'dc_allow_trackbacks', 'dc_comment_pub', 'dc_comments_ttl',
             'dc_wiki_comments', 'dc_use_smilies', 'dc_date_format', 'dc_time_format',
-            'dc_url_scan');
+            'dc_url_scan'];
 
         switch ($line->__name) {
Index: plugins/importExport/index.php
===================================================================
--- plugins/importExport/index.php	(revision 3731)
+++ plugins/importExport/index.php	(revision 3874)
@@ -27,5 +27,5 @@
 }
 
-$modules = new ArrayObject(array('import' => array(), 'export' => array()));
+$modules = new ArrayObject(['import' => [], 'export' => []]);
 
 # --BEHAVIOR-- importExportModules
@@ -33,5 +33,5 @@
 
 $type = null;
-if (!empty($_REQUEST['type']) && in_array($_REQUEST['type'], array('export', 'import'))) {
+if (!empty($_REQUEST['type']) && in_array($_REQUEST['type'], ['export', 'import'])) {
     $type = $_REQUEST['type'];
 }
@@ -71,9 +71,9 @@
 if ($type && $module !== null) {
     echo dcPage::breadcrumb(
-        array(
+        [
             __('Plugins')                   => '',
             $title                          => $p_url,
             html::escapeHTML($module->name) => ''
-        )) .
+        ]) .
     dcPage::notices();
 
@@ -86,8 +86,8 @@
 } else {
     echo dcPage::breadcrumb(
-        array(
+        [
             __('Plugins') => '',
             $title        => ''
-        )) .
+        ]) .
     dcPage::notices();
 
@@ -98,5 +98,5 @@
     '<p class="info">' . sprintf(
         __('Export functions are in the page %s.'),
-        '<a href="' . $core->adminurl->get('admin.plugin.maintenance', array('tab' => 'backup')) . '#backup">' . __('Maintenance') . '</a>'
+        '<a href="' . $core->adminurl->get('admin.plugin.maintenance', ['tab' => 'backup']) . '#backup">' . __('Maintenance') . '</a>'
     ) . '</p>';
 }
Index: plugins/maintenance/_admin.php
===================================================================
--- plugins/maintenance/_admin.php	(revision 3731)
+++ plugins/maintenance/_admin.php	(revision 3874)
@@ -22,11 +22,11 @@
 
 // Admin behaviors
-$core->addBehavior('dcMaintenanceInit', array('dcMaintenanceAdmin', 'dcMaintenanceInit'));
-$core->addBehavior('adminDashboardFavorites', array('dcMaintenanceAdmin', 'adminDashboardFavorites'));
-$core->addBehavior('adminDashboardContents', array('dcMaintenanceAdmin', 'adminDashboardItems'));
-$core->addBehavior('adminDashboardOptionsForm', array('dcMaintenanceAdmin', 'adminDashboardOptionsForm'));
-$core->addBehavior('adminAfterDashboardOptionsUpdate', array('dcMaintenanceAdmin', 'adminAfterDashboardOptionsUpdate'));
-$core->addBehavior('adminPageHelpBlock', array('dcMaintenanceAdmin', 'adminPageHelpBlock'));
-$core->addBehavior('pluginsToolsHeaders', array('dcMaintenanceAdmin', 'pluginsToolsHeaders'));
+$core->addBehavior('dcMaintenanceInit', ['dcMaintenanceAdmin', 'dcMaintenanceInit']);
+$core->addBehavior('adminDashboardFavorites', ['dcMaintenanceAdmin', 'adminDashboardFavorites']);
+$core->addBehavior('adminDashboardContents', ['dcMaintenanceAdmin', 'adminDashboardItems']);
+$core->addBehavior('adminDashboardOptionsForm', ['dcMaintenanceAdmin', 'adminDashboardOptionsForm']);
+$core->addBehavior('adminAfterDashboardOptionsUpdate', ['dcMaintenanceAdmin', 'adminAfterDashboardOptionsUpdate']);
+$core->addBehavior('adminPageHelpBlock', ['dcMaintenanceAdmin', 'adminPageHelpBlock']);
+$core->addBehavior('pluginsToolsHeaders', ['dcMaintenanceAdmin', 'pluginsToolsHeaders']);
 
 /**
@@ -47,7 +47,7 @@
     {
         $maintenance
-            ->addTab('maintenance', __('Servicing'), array('summary' => __('Tools to maintain the performance of your blogs.')))
-            ->addTab('backup', __('Backup'), array('summary' => __('Tools to back up your content.')))
-            ->addTab('dev', __('Development'), array('summary' => __('Tools to assist in development of plugins, themes and core.')))
+            ->addTab('maintenance', __('Servicing'), ['summary' => __('Tools to maintain the performance of your blogs.')])
+            ->addTab('backup', __('Backup'), ['summary' => __('Tools to back up your content.')])
+            ->addTab('dev', __('Development'), ['summary' => __('Tools to assist in development of plugins, themes and core.')])
 
             ->addGroup('optimize', __('Optimize'))
@@ -58,5 +58,5 @@
             ->addGroup('zipfull', __('All blogs'))
 
-            ->addGroup('l10n', __('Translations'), array('summary' => __('Maintain translations')))
+            ->addGroup('l10n', __('Translations'), ['summary' => __('Maintain translations')])
 
             ->addTask('dcMaintenanceCache')
@@ -81,5 +81,5 @@
     public static function adminDashboardFavorites($core, $favs)
     {
-        $favs->register('maintenance', array(
+        $favs->register('maintenance', [
             'title'        => __('Maintenance'),
             'url'          => $core->adminurl->get('admin.plugin.maintenance'),
@@ -87,7 +87,7 @@
             'large-icon'   => dcPage::getPF('maintenance/icon-big.png'),
             'permissions'  => 'admin',
-            'active_cb'    => array('dcMaintenanceAdmin', 'adminDashboardFavoritesActive'),
-            'dashboard_cb' => array('dcMaintenanceAdmin', 'adminDashboardFavoritesCallback')
-        ));
+            'active_cb'    => ['dcMaintenanceAdmin', 'adminDashboardFavoritesActive'],
+            'dashboard_cb' => ['dcMaintenanceAdmin', 'adminDashboardFavoritesCallback']
+        ]);
     }
 
@@ -152,5 +152,5 @@
         $maintenance = new dcMaintenance($core);
 
-        $lines = array();
+        $lines = [];
         foreach ($maintenance->getTasks() as $t) {
             $ts = $t->expired();
@@ -174,5 +174,5 @@
         }
 
-        $items[] = new ArrayObject(array(
+        $items[] = new ArrayObject([
             '<div id="maintenance-expired" class="box small">' .
             '<h3><img src="' . dcPage::getPF('maintenance/icon-small.png') . '" alt="" /> ' . __('Maintenance') . '</h3>' .
@@ -181,5 +181,5 @@
             '<p><a href="' . $core->adminurl->get('admin.plugin.maintenance') . '">' . __('Manage tasks') . '</a></p>' .
             '</div>'
-        ));
+        ]);
     }
 
Index: plugins/maintenance/_define.php
===================================================================
--- plugins/maintenance/_define.php	(revision 3731)
+++ plugins/maintenance/_define.php	(revision 3874)
@@ -17,11 +17,11 @@
     "Olivier Meunier & Association Dotclear", // Author
     '1.3.1',                                  // Version
-    array(
+    [
         'permissions' => 'admin',
         'type'        => 'plugin',
-        'settings'    => array(
+        'settings'    => [
             'self' => '#settings'
-        )
-    )
+        ]
+    ]
 
 );
Index: plugins/maintenance/_prepend.php
===================================================================
--- plugins/maintenance/_prepend.php	(revision 3731)
+++ plugins/maintenance/_prepend.php	(revision 3874)
@@ -28,3 +28,3 @@
 $__autoload['dcMaintenanceZiptheme']       = dirname(__FILE__) . '/inc/tasks/class.dc.maintenance.ziptheme.php';
 
-$this->core->rest->addFunction('dcMaintenanceStep', array('dcMaintenanceRest', 'step'));
+$this->core->rest->addFunction('dcMaintenanceStep', ['dcMaintenanceRest', 'step']);
Index: plugins/maintenance/inc/class.dc.maintenance.descriptor.php
===================================================================
--- plugins/maintenance/inc/class.dc.maintenance.descriptor.php	(revision 3731)
+++ plugins/maintenance/inc/class.dc.maintenance.descriptor.php	(revision 3874)
@@ -31,5 +31,5 @@
      * @param    options    <b>string<b> Options
      */
-    public function __construct($id, $name, $options = array())
+    public function __construct($id, $name, $options = [])
     {
         $this->id      = (string) $id;
